package com.kym.service.admin;

import com.baomidou.mybatisplus.extension.service.IService;
import com.kym.common.R;
import com.kym.entity.admin.AdminUser;
import com.kym.entity.admin.queryParams.CommonQueryParam;
import com.kym.entity.admin.vo.AdminUserVo;
import com.kym.entity.common.PageBean;

import java.util.List;

/**
 * <p>
 * 用户表 服务类
 * </p>
 *
 * @author skyline
 * @since 2023-07-11
 */
public interface AdminUserService extends IService<AdminUser> {

    R login(String mobilePhone, String password);

    void logout(Long id);


    Object profile();

    List<AdminUserVo> listUserPermissions(Long loginId);

    PageBean<AdminUserVo> listAdminUser(CommonQueryParam params);

    void createAdminUser(AdminUserVo adminUserVo);
}
